### experimental::awaitable

The return type of a coroutine or asynchronous operation.

    template<
        typename T,
        typename Executor = strand<executor>>
    class awaitable

##### Types

Name | Description
--- | ---
executor_type | The executor type that will be used for the coroutine.
value_type | The type of the awaited value.

##### Member Functions

Name | Description
--- | ---
awaitable | Move constructor.
~awaitable | Destructor.

##### Requirements

Header: `asio/experimental/co_spawn.hpp`

Convenience header: `asio/experimental.hpp`